Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait ScalaLogic extends Interface with Logic with TreeAndTypeAnalysis
  Definition Classes
    patmat
-  trait TreesAndTypesDomain extends PropositionalLogic with CheckableTreeAndTypeAnalysis
  Definition Classes
    ScalaLogic
- AbsVar
- AnalysisBudget
- And
- AtMostOne
- Const
- Eq
- False
- Not
- NullConst
- Or
- Prop
- PropMap
- PropTraverser
- Solution
- Solvable
- Sym
- True
- TypeConst
- TypeConstExtractor
- ValueConst
- ValueConstExtractor
- Var
- VarExtractor

o

scala.tools.nsc.transform.patmat.ScalaLogic.TreesAndTypesDomain

# NullConst

###

#### object NullConst extends Const with Product with Serializable

Definition Classes
  TreesAndTypesDomain → PropositionalLogic
Source
  Logic.scala

Linear Supertypes
java.io.Serializable, Product, Equals, Const, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NullConst
2. Serializable
3. Product
4. Equals
5. Const
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def isAny: Boolean
    Definition Classes
      Const
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def isValue: Boolean
    Definition Classes
      NullConst → Const
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementName(n: Int): String
    Definition Classes
      Product
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      NullConst → AnyRef → Any
20.  def tp: Global.ConstantType
    Definition Classes
      NullConst → Const
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
24.  def wideTp: Global.ConstantType
    Definition Classes
      NullConst → Const

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Const

### Inherited from AnyRef

### Inherited from Any

### Ungrouped